package cn.timer.api.dto.jxgl;

import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MyPerformance extends Page {

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "员工id", example = "")
	private Integer id;

	@ApiModelProperty(value = "企业id", example = "")
	private Integer orgCode;

	@ApiModelProperty(value = "状态 0目标填写 1目标确认 2评分 3 结果确认", example = "")
	private Integer sts;

}
